Skip to main content
POST
/
social
/
posts
/
{postId}
/
publish
Publish a draft
curl --request POST \
  --url https://rawugc.com/api/v1/social/posts/{postId}/publish \
  --header 'Authorization: Bearer <token>'
{
  "postId": "<string>",
  "platforms": [
    "<string>"
  ],
  "status": "draft",
  "scheduledFor": 123,
  "timezone": "<string>",
  "content": "<string>",
  "videoUrl": "<string>",
  "createdAt": 123,
  "publishedAt": 123
}

Authorizations

Authorization
string
header
required

Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY

Path Parameters

postId
string
required

Post ID

Response

Post published

postId
string

Post ID

platforms
string[]

Platform names

status
enum<string>
Available options:
draft,
scheduled,
published,
failed
scheduledFor
number

Unix timestamp of scheduled publish time

timezone
string
content
string

Post caption

videoUrl
string<uri>
createdAt
number
publishedAt
number